> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove questions from FAQ

> Remove questions and answers from existing FAQ sheet. 
The question IDs can be a sent in the query parameters.

Example: `DELETE /kb/v1/knowledge-bases/{id}/faq-template/questions?faq_ids=abcd&faq_ids=efgh`

Alternatively, the `faq_ids` can be sent as an array of strings in the `request body`. 

Example: `DELETE /kb/v1/knowledge-bases/{id}/faq-template/questions` with body = `{ "faq_ids": [ "abcd", "efgh"] }`



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/common/api.json delete /kb/v1/knowledge-bases/{id}/faq-template/questions
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /kb/v1/knowledge-bases/{id}/faq-template/questions:
    delete:
      tags:
        - Knowledge Bases
      summary: Remove questions from FAQ
      description: >-
        Remove questions and answers from existing FAQ sheet. 

        The question IDs can be a sent in the query parameters.


        Example: `DELETE
        /kb/v1/knowledge-bases/{id}/faq-template/questions?faq_ids=abcd&faq_ids=efgh`


        Alternatively, the `faq_ids` can be sent as an array of strings in the
        `request body`. 


        Example: `DELETE /kb/v1/knowledge-bases/{id}/faq-template/questions`
        with body = `{ "faq_ids": [ "abcd", "efgh"] }`
      parameters:
        - name: id
          in: path
          required: true
          description: The unique ID of the knowledge base.
          schema:
            type: string
        - name: faq_ids
          in: query
          required: true
          description: The unique IDs of the questions to delete.
          schema:
            type: array
            items:
              type: string
          example: >-
            DELETE
            /kb/v1/knowledge-bases/{id}/faq-template/questions?faq_ids=abcd&faq_ids=efgh
      responses:
        '202':
          description: accepted
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````